1. jlf175's Avatar
    If you're planning on upgrading your BES/UEM server to 12.7 I'd recommend waiting. There's a bug known bug in the program which causes locks in the SQL database of the program. You can clear the locks from a SQL console but they come back eventually. This has the impact of sometimes making the UEM console unreachable and also can prevent you from even logging in with the local admin account.

    They've provided me a workaround but I'm uncertain if it's working and need to follow up on Monday and investigate.

    Initially BB support told me the locks were due to me running 12.7 database on a SQL database with limited support (SQL 2008). However, even after moving to SQL 2014 the locks still occurred.

    12.6.3 appeared to be fine though when we ran that.
    08-11-17 10:21 PM
  2. Rodney Wilder's Avatar
    thanks for heads up

    Admin can you move to the proper UEM forum?
    08-13-17 03:55 PM
  3. Mynet85's Avatar
    Just saw that there is an update on the KB article website. Says the solution is to install 12.7.1 or later.
    http://support.blackberry.com/kb/art...mber=000045429
    09-10-17 11:52 AM
  4. Benbb10qnx's Avatar
    Correct.
    09-17-17 04:22 AM
  5. Mynet85's Avatar
    Hi All! I just installed 12.7.1 on top of a 12.6.3 which ran java 8 u111. During the installation it also installed java 8 u131. After installation, I had problem signing in. Contacted BB support, who recommended to me to remove all installed java versions and run the bes update again. It worked nicely afterward.
    09-19-17 10:17 PM
  6. jaycrack's Avatar
    Can you please explain what you mean by 'locks'? What was the method , or steps used to clear the locks? I am having a similar issue , also on sql 2008.
    09-22-17 10:38 AM
  7. jaycrack's Avatar
    After uninstalling the earlier java versions, did you have to re-run the UEM exe ?
    09-22-17 10:40 AM
  8. Benbb10qnx's Avatar
    Yes you have to rerun the installer. Btw SQL2008 has only light support. I recommend an update.
    09-30-17 03:07 AM
  9. riahc6's Avatar
    I have the compatibility matrix printed here in front of me

    What version of SQL Server 2008 are you using (You dont mention any SP)? You need AT least SP4. It will not work/is not supported below SP4 and even at SP4 you have "Limited Support"; Thats generally not a good thing as you are basically hanging on a thread.

    Express versions of SQL Server are supported; Spin up a SQL Server 2016 Express SP2 instance and that should be supported for a while.
    08-14-18 05:04 AM

Similar Threads

  1. 12.6.0 - All my AFW activations don't work any more
    By Roveer in forum BlackBerry UEM
    Replies: 24
    Last Post: 09-05-17, 10:46 AM
  2. BlackBerry partners with Slack for BlackBerry UEM integration
    By CrackBerry News in forum CrackBerry.com News Discussion
    Replies: 0
    Last Post: 08-11-17, 12:50 AM
  3. BlackBerry partners with Slack for BlackBerry UEM integration
    By CrackBerry News in forum CrackBerry.com News Discussion
    Replies: 0
    Last Post: 08-08-17, 01:30 PM
LINK TO POST COPIED TO CLIPBOARD